.col-span-3 {
    grid-column: span 3 / span 3;
  }
.max-w-\[900px\] {
    max-width: 900px;
  }
.grid-cols-4-6 {
    grid-template-columns: 4fr 6fr;
  }
.border-r-border {
    border-right-color: var(--border);
  }
.pt-10 {
    padding-top: calc(var(--spacing) * 10);
  }
.pr-10 {
    padding-right: calc(var(--spacing) * 10);
  }
.pl-10 {
    padding-left: calc(var(--spacing) * 10);
  }
tr.kr-edit kt-input {
  border-radius: calc(var(--radius) - 2px);
  padding: calc(var(--spacing) * 2);
  font-size: 0.8125rem;
  --tw-leading: var(--text-sm--line-height);
  line-height: var(--text-sm--line-height);
  border-style: var(--tw-border-style);
  border-width: 1px;
  border-color: var(--input);
  background-color: var(--background);
  padding-left: calc(var(--spacing) * 3);
  padding-right: calc(var(--spacing) * 3);
  word-break: break-all;
  --tw-shadow: 0 1px 2px 0 var(--tw-shadow-color, rgb(0 0 0 / 0.05));
  box-shadow: var(--tw-inset-shadow), var(--tw-inset-ring-shadow), var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow);
  --tw-shadow-color: rgba(0, 0, 0, 0.05);
}

#detailModal_body tr i.ki-check {
  display: none;
}

#detailModal_body tr.kr-edit i.ki-notepad-edit {
  display: none;
}

#detailModal_body tr.kr-edit i.ki-check {
  display: inline-flex;
}

tr.kr-edit button.kt-btn {
  background-color: var(--primary);
  color: var(--primary-foreground);
}

.kt-textarea[readonly] {
  border: 0 !important;
  box-shadow: none!important;
  padding: 0!important;
}
.kt-form-item {
    display: flex;
    flex-direction: column;
    gap: calc(var(--spacing) * 2);
}
.kt-log-tips {
    background-color: var(--color-violet-500);
    color: var(--color-white);
    padding: calc(var(--spacing) * 1) calc(var(--spacing) * 2);
    border-radius: var(--radius);
}


 .kt-stepper-first\:hidden {
    [data-kt-stepper-initialized].first & {
      display: none;
    }
  }
  .kt-stepper-last\:hidden {
    [data-kt-stepper-initialized].last & {
      display: none;
    }
  }
  .kt-stepper-last\:inline-flex {
    [data-kt-stepper-initialized].last & {
      display: inline-flex;
    }
  }
  .kt-stepper-item-active\:bg-primary {
    &[data-kt-stepper-item].active {
      background-color: var(--primary);
    }
    [data-kt-stepper-item].active & {
      background-color: var(--primary);
    }
  }
  .kt-stepper-item-active\:text-primary-foreground {
    &[data-kt-stepper-item].active {
      color: var(--primary-foreground);
    }
    [data-kt-stepper-item].active & {
      color: var(--primary-foreground);
    }
  }
  .kt-stepper-item-completed\:hidden {
    &[data-kt-stepper-item].completed {
      display: none;
    }
    [data-kt-stepper-item].completed & {
      display: none;
    }
  }
  .kt-stepper-item-completed\:inline {
    &[data-kt-stepper-item].completed {
      display: inline;
    }
    [data-kt-stepper-item].completed & {
      display: inline;
    }
  }
  .kt-stepper-item-completed\:bg-green-500 {
    &[data-kt-stepper-item].completed {
      background-color: var(--color-green-500);
    }
    [data-kt-stepper-item].completed & {
      background-color: var(--color-green-500);
    }
  }
  .kt-stepper-item-completed\:text-white {
    &[data-kt-stepper-item].completed {
      color: var(--color-white);
    }
    [data-kt-stepper-item].completed & {
      color: var(--color-white);
    }
  }
  .kt-stepper-item-completed\:opacity-70 {
    &[data-kt-stepper-item].completed {
      opacity: 70%;
    }
    [data-kt-stepper-item].completed & {
      opacity: 70%;
    }
  }
.pl-4 {
    padding-left: calc(var(--spacing) * 4);
}
.pr-6 {
    padding-right: calc(var(--spacing) * 6);
}
.border-right-0 {
    border-right-width: 0;
}
.max-h-\[500px\] {
    max-height: 500px;
}
.max-h-\[600px\] {
    max-height: 600px;
}
input.hidden {
    display: none;
}